#!/bin/bash
cd ../iot-lab/parts/wsn430/OS/Contiki/examples/"$1"_app;
rm -r *.a *.map *.ihex *.wsn430 obj_wsn430/
make "$1"_app RADIO=WITH_CC1101;
iotlab-auth -u leao -p LuCaS18;
#iotlab-experiment submit -n "$1"_"sc$2-net$3-exec$4" -d 150 -l strasbourg,wsn430,1-3+5-23+25-58+60-134+136+138-143+145-240,"$1"_app.ihex;
#iotlab-experiment submit -n "$1"_"sc$2-net$3-exec$4" -d 150 -l strasbourg,wsn430,5-23+25-58+60-134+136+138-143+145-240,"$1"_app.ihex;
#iotlab-experiment submit -n "$1"_"sc$2-net$3-exec$4" -d 75 -l strasbourg,wsn430,5+8+11+14+17+20+23+26+32+35+38+41+44+47+50+53+56+62+65+68+71+74+77+80+83+86+89+92+95+98+101+104+107+110+113+116+119+122+125+128+131+134+140+143+146+149+152+155+158+161+164+167+170+173+176+179+182+185+188+191+194+197+203+206+209+212+215+218+221+224+227+230+233+236+239,"$1"_app.ihex;
#iotlab-experiment submit -n "$1"_"sc$2-net$3-exec$4" -d 75 -l strasbourg,wsn430,5+8+11+14+17+20+23+26+32+38+41+44+47+50+53+56+62+65+68+71+74+77+80+83+86+92+95+98+104+110+116+119+122+125+128+131+134+140+143+146+149+152+155+158+161+164+167+170+173+176+179+182+185+188+191+194+197+203+206+209+212+215+218+221+224+227+230+233+236+239,"$1"_app.ihex;
#iotlab-experiment submit -n "$1"_"sc$2-net$3-exec$4" -d 375 -l strasbourg,wsn430,1-3+5-23+25-58+60-88+90-134+136+138-143+145-240,"$1"_app.ihex;
iotlab-experiment submit -n "$1"_"sc$2-net$3-exec$4" -d 375 -l strasbourg,wsn430,5+8+11+14+17+20+23+26+32+38+41+44+47+50+53+56+62+65+68+71+74+77+80+83+86+92+95+98+104+110+116+119+122+125+128+131+134+140+143+146+149+152+155+158+161+164+167+170+173+176+179+182+185+188+191+194+197+203+206+209+212+215+218+221+224+227+230+233+236+239,"$1"_app.ihex;
